Scraper apiGeneratedWebhooks

Rotate webhook secret

Generate a new signing secret for the webhook and invalidate the previous one

POST
/v1/webhooks/{webhook_id}/rotate-secret
X-Api-Key<token>

In: header

Path Parameters

webhook_idstring
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://scraper.geonode.io/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate-secret"
{
  "secret": "string"
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}